Uploaded image for project: 'ZABBIX BUGS AND ISSUES'
  1. ZABBIX BUGS AND ISSUES
  2. ZBX-10437

Zabbix server 2.4.7 and MySQL 5.7 - package dependencies

    XMLWordPrintable

    Details

    • Type: Incident report
    • Status: Closed
    • Priority: Minor
    • Resolution: Duplicate
    • Affects Version/s: 2.4.7
    • Fix Version/s: None
    • Component/s: Installation (I)
    • Environment:
      Debian 8.3 x86_64

      Description

      I have Debian 8.3 with MySQL 5.7 installed from Oracle repository.

      # dpkg -l|grep mysql
      ii  libdbd-mysql-perl              4.028-2+b1                           amd64        Perl5 database interface to the MySQL database
      ii  libmysqlclient18:amd64         5.5.46-0+deb8u1                      amd64        MySQL database client library
      ii  mysql-client                   5.7.9-1debian8                       amd64        MySQL Client meta package depending on latest version
      ii  mysql-common                   5.7.9-1debian8                       amd64        MySQL configuration for client and server
      ii  mysql-community-client         5.7.9-1debian8                       amd64        MySQL Client and client tools
      ii  mysql-community-server         5.7.9-1debian8                       amd64        MySQL Server and server tools
      

      I added official Zabbix repository, It tries to remove 5.7 version of MySQL in favor of 5.5 although mysql-client is already installed:

      # apt-get install zabbix-server-mysql
      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      The following packages were automatically installed and are no longer required:
        apache2-bin apache2-data apache2-utils libapr1 libaprutil1 libaprutil1-dbd-sqlite3 libaprutil1-ldap ttf-dejavu-core
      Use 'apt-get autoremove' to remove them.
      The following extra packages will be installed:
        fping libconfig-inifiles-perl liblist-moreutils-perl libsnmp-perl mysql-client-5.5 mysql-server mysql-server-5.5 mysql-server-core-5.5 snmpd snmptt
      Suggested packages:
        tinyca snmptrapd zabbix-frontend-php
      The following packages will be REMOVED:
        mysql-client mysql-community-client mysql-community-server
      
      # apt-cache show zabbix-server-mysql
      Package: zabbix-server-mysql
      Source: zabbix
      Version: 1:2.4.7-1+jessie
      Architecture: amd64
      Origin: Zabbix
      Maintainer: Kodai Terashima <kodai.terashima@zabbix.com>
      Installed-Size: 7571
      Pre-Depends: debconf
      Depends: libc6 (>= 2.17), libcurl3 (>= 7.16.2), libiksemel3 (>= 1.2), libldap-2.4-2 (>= 2.4.7), libmysqlclient18 (>= 5.5.24+dfsg-1), libodbc1 (>= 2.3.1), libopenipmi0, libsnmp30 (>= 5.7.2.1+dfsg-1~dfsg), libssh2-1 (>= 1.0), libxml2 (>= 2.7.4), debconf (>= 0.5) | debconf-2.0, mysql-client | virtual-mysql-client, fping, adduser, dbconfig-common (>= 1.8.19), lsb-base
      

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned
              Reporter:
              firm Alexander Afonyashin
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: